<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Country;
use App\Models\Car;
class CarsController extends Controller
{
    public function index(){
        
      $cars=Car::with(['translation'=>function($query){
          $query->where('locale','en');
          
      }])->get();
      $countries=Country::all();

      return view('admin.cars.index',compact('cars','countries'));
      
    }
    public function store(Request $request){
        
        Car::create([
            'country_id'=>$request->country_id,
            'price'=>$request->price,
            'en'=>['name'=>$request->name,
            'description'=>$request->description],
            'ar'=>['name'=>$request->name,
            'description'=>$request->description],
            'image'=>$request->image,
            ]);
        return redirect()->back()->with('success','Added Successfully');
    }

    public function edit($id){
        $car= Car::whereId($id)->with('translation')->first();
        $countries=Country::all();

        return view('admin.cars.edit',compact('car','countries'));
    }

    public function update(Request $request,$id)
    {
       $car= Car::whereId($id)->first();

       $car->update([
            'country_id'=>$request->country_id,
            'price'=>$request->price,
            'en'=>['name'=>$request->name,
            'description'=>$request->description],
            'ar'=>['name'=>$request->name,
            'description'=>$request->description],
        ]);

        if($request->image){
            $car->image=$request->image;
            $car->save();
        }
        return redirect()->back()->with('success','Updated Successfully');

    }
    public function destroy(Car $car){
        $car->delete();
                return redirect()->back()->with('success','Deleted Successfully');
    }
    
}