<?php

namespace App\Http\Controllers\Admin;


use App\Http\Controllers\Interface_directory\Admin\HomeRepositoryInterface;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class HomeController extends Controller
{
    protected $homeRepository;
    public function __construct(HomeRepositoryInterface $homeRepository)
    {
        $this->homeRepository = $homeRepository;
    }

    public function dashboard()
    {
        $dashboard = $this->homeRepository->dashboard();
        return view('admin.dashboard',compact('dashboard'));
    }

    public function settings()
    {
        $setting = $this->homeRepository->settings();
        return view('admin.settings.index',compact('setting'));
    }

    public function editSettings()
    {
        $setting = $this->homeRepository->settings();
        return view('admin.settings.single',compact('setting'));
    }

    public function updateSettings(Request $request)
    {
        $this->homeRepository->updateSettings($request);
        return redirect('/admin/settings/privacy_policy')->with('success','Updated Successfully');
    }

    public function complainSuggest()
    {
        $complains = $this->homeRepository->complainSuggest();
        return view('admin.settings.complain',compact('complains'));
    }

    public function deleteComplainSuggest(Request $request)
    {
        $this->homeRepository->deleteComplainSuggest($request->complain_id);
        return back()->with('success','Deleted Successfully');
    }
}
