<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Interface_directory\Admin\TripRepositoryInterface;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TripController extends Controller
{
    protected $tripRepository;
    public function __construct(TripRepositoryInterface $tripRepository)
    {
        $this->tripRepository = $tripRepository;
    }

    protected function index()
    {
        $trips = $this->tripRepository->index();
        return view('admin.trips.index',compact('trips'));
    }

    public function view($id)
    {
        $trip = $this->tripRepository->view($id);
        return view('admin.trips.show',compact('trip'));
    }

    public function search(Request $request)
    {
        $trips = $this->tripRepository->search($request);
        return view('admin.trips.index',compact('trips'));
    }

    public function orders_export(Request $request)
    {
        $this->tripRepository->export();
    }
}
