<?php
/**
 * Created by PhpStorm.
 * User: User
 * Date: 7/15/2019
 * Time: 10:55 PM
 */

namespace App\Http\Controllers\Eloquent\Admin;


use App\Http\Controllers\Interface_directory\Admin\HomeRepositoryInterface;
use App\Models\Driver;
use App\Models\PrivacyPolicy;
use App\Models\PrivacyPolicyTranslation;
use App\Models\Trip;
use App\Models\User;
use Carbon\Carbon;

class HomeRepository implements HomeRepositoryInterface
{
    public function dashboard()
    {
        $trips = Trip::all();
        $this_month = new Carbon('first day of this month');

        $monthly_trips = Trip::where('created_at','>=', $this_month->toDateTimeString())->get();

        $users = User::count();
        $drivers = Driver::count();
        $trips_count = $trips->count();
        $monthly_trips_count = $monthly_trips->count();
        $trips_total = $trips->sum('order_total');
        $trips_total_monthly = $monthly_trips->sum('order_total');

        return ['users'=>$users,'drivers'=>$drivers,'trips_count'=>$trips_count,'monthly_trips_count'=>$monthly_trips_count,
            'trips_total'=>$trips_total,'trips_total_monthly'=>$trips_total_monthly];
    }

    public function settings()
    {
        return PrivacyPolicyTranslation::all();
    }

    public function updateSettings($input)
    {
        $privacy_tans = PrivacyPolicyTranslation::where('privacy_policy_id',1)->get();

        foreach ($privacy_tans as $privacy)
        {
            if($privacy->locale == 'ar')
            {
                $privacy->name = $input->ar_name;
            }else{
                $privacy->name = $input->en_name;
            }
            $privacy->save();
        }
    }
}
