<?php
/**
 * Created by PhpStorm.
 * User: Al Mohands
 * Date: 09/09/2019
 * Time: 02:25 م
 */

namespace App\Http\Controllers\Eloquent\Api\Driver;


use App\DriverProfile;
use App\Http\Controllers\Interface_directory\Api\Driver\DriverRepositoryInterface;
use App\Models\Driver;
use App\Models\DriverCredit;
use Illuminate\Support\Facades\Hash;

class DriverRepository implements DriverRepositoryInterface
{
    public function profile($input)
    {
        $driver = Driver::where('id',$input->driver_id)->select('id','password')->first();

        $driver_profile = DriverProfile::where('driver_id',$driver->id)->first();

        if($input->name)
        {
            $driver_profile->name = $input->name;
        }

        if($input->email)
        {
            $email = Driver::where('id','!=',$input->driver_id)->where('email',$input->email)->first();
            if($email) return 'email_exist';
            else
            {
                $driver_profile->email = $input->email;
            }
        }

        if($input->phone)
        {
            $phone = Driver::where('id','!=',$input->driver_id)->where('phone',$input->phone)->first();
            if($phone) return 'phone_exist';
            else
            {
                $driver_profile->phone = $input->phone;
            }
        }

        if($input->image)
        {
            $driver_profile->image = $input->image;
        }

        $driver_profile->save();

        if($input->password)
        {
            if(Hash::check($input->old_password, $driver->password))
            {
                $driver->password = Hash::make($input->password);
                $driver->save();
                return 'password_changed';
            }else{
                return 'wrong_password';
            }
        }
    }

    public function credit($input)
    {
        return DriverCredit::where('driver_id',$input->driver_id)->select('driver_credit','admin_credit','type')->first();
    }

    public function updatePayment($input)
    {
        $driver_credit = DriverCredit::where('driver_id',$input->driver_id)->select('id','driver_id','type')->first();
        $driver_credit->type = $input->type;
        $driver_credit->save();
    }

}
