<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Car extends Model
{
    protected $fillable = [
        'country_id','price','image'
    ];
//    public function carByLang($country_id,$lang)
//    {
//        return CarTranslation::where('country_id',$country_id)->where('locale',$lang)->get();
//    }

    public function translation()
    {
        return $this->hasOne(CarTranslation::class,'cars_id')->select( 'cars_id', 'name','description');
    }

    public function carTrans()
    {
        return $this->hasMany(CarTranslation::class,'cars_id')->select( 'cars_id', 'name','description');
    }

    public function getImageAttribute($value)
    {
        return asset('public/images/cars/'.$value);
    }
}
