<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //user
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\User\AuthRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\User\AuthRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\User\HomeRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\User\HomeRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\User\TripRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\User\TripRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\User\UserRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\User\UserRepository'
        );

        //driver
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\Driver\AuthRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\Driver\AuthRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\Driver\HomeRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\Driver\HomeRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\Driver\TripRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\Driver\TripRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\Driver\DriverRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\Driver\DriverRepository'
        );

        //app
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\App\SettingRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\App\SettingRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Api\App\AppRepositoryInterface',
            'App\Http\Controllers\Eloquent\Api\App\AppRepository'
        );

        //admin
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Admin\HomeRepositoryInterface',
            'App\Http\Controllers\Eloquent\Admin\HomeRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Admin\UserRepositoryInterface',
            'App\Http\Controllers\Eloquent\Admin\UserRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Admin\TripRepositoryInterface',
            'App\Http\Controllers\Eloquent\Admin\TripRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Admin\CategoryRepositoryInterface',
            'App\Http\Controllers\Eloquent\Admin\CategoryRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Admin\DriverRepositoryInterface',
            'App\Http\Controllers\Eloquent\Admin\DriverRepository'
        );
        $this->app->bind(
            'App\Http\Controllers\Interface_directory\Admin\AdminRepositoryInterface',
            'App\Http\Controllers\Eloquent\Admin\AdminRepository'
        );
    }
}
