               @extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Services</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">Services For Cars</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                      
                <form class="form-horizontal" method="post" action="{{route('cars.update',$car->id)}}">
                    {{csrf_field()}}
                    @method('patch')
                    <div class="modal-body">
                
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Price</label>
                            <div class="col-lg-12">
                                <input name="price" type="text" placeholder="Price" class="form-control btn-square" value="{{$car->price}}" required>
                            </div>
                        </div>
                        
                         <label class="col-lg-12 control-label text-lg-left" for="textinput">Country</label>

                        <select class="form-control field" data-type="select" id="type" name="country_id">
                            @foreach($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name In English</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" type="text" placeholder="Name" class="form-control btn-square" value="{{$car->carTrans[1]->name}}" required>
                            </div>
                        </div>


                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name In Arabic</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" value="{{$car->carTrans[0]->name}}" type="text" placeholder="Name" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Description In English</label>
                            <div class="col-lg-12">
                                <textarea name="en[description]"  placeholder="Service Fees" class="form-control btn-square" required>{{$car->carTrans[1]->description}}</textarea>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Description In Arabic</label>
                            <div class="col-lg-12">
                                <textarea name="ar[description]" placeholder="Service Fees" class="form-control btn-square" required>{{$car->carTrans[0]->description}}</textarea>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Image</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>



                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">Close</button>
                        <button class="btn btn-primary">Save changes</button>
                    </div>
                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

               
@endsection
