@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Cars</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">All Cars</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>

                        <div style="float: right">
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> Add New Car </button>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">Id</th>
                                        <th scope="col">Price</th>
                                        <th scope="col">Image</th>
                                        <th scope="col">Name</th>
                                        <th scope="col">Description</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($cars as $car)
                                        <tr>
                                            <td>{{$car->id}}</td>
                                            <td>{{$car->price}}</td>
                                            <td><img src="{{$car->image}}" class="image_radius"></td>
                                            <td>{{$car->translation->name}}</td>
                                            <td>{{$car->translation->description}}</td>

                                            <td>
                                                <a href="{{route('cars.edit',$car->id)}}" title="Edit" class="buttons"><button class="btn btn-warning btn-condensed"><i class="fa fa-edit"></i></button></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add Service</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('service.car.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                  
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Price</label>
                            <div class="col-lg-12">
                                <input name="price" type="text" placeholder="Price" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                         <label class="col-lg-12 control-label text-lg-left" for="textinput">Country</label>

                        <select class="form-control field" data-type="select" id="type" name="country_id">
                            @foreach($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" type="text" placeholder="Name" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                         <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name In Arabic</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" type="text" placeholder="Name" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Description</label>
                            <div class="col-lg-12">
                                <textarea name="en[description]"  placeholder="Service Fees" class="form-control btn-square" required></textarea>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Description In Arabic</label>
                            <div class="col-lg-12">
                                <textarea name="ar[description]"  placeholder="Service Fees" class="form-control btn-square" required></textarea>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Image</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>

                        
                        



                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">Close</button>
                        <button class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
