@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Cars</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">All Countries</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>

                        <div style="float: right">
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> Add New Country </button>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">Id</th>
                                        <th scope="col">Code</th>
                                        <th scope="col">Name</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($countries as $country)
                                        <tr>
                                            <td>{{$country->id}}</td>
                                            <td>{{$country->code}}</td>
                                            <td>{{$country->name}}</td>

                                            <td>
                                                <a href="{{route('countries.edit',$country->id)}}" title="Edit" class="buttons"><button class="btn btn-warning btn-condensed"><i class="fa fa-edit"></i></button></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add Country</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('countries.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                  
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Code</label>
                            <div class="col-lg-12">
                                <input name="price" type="text" placeholder="Price" class="form-control btn-square" required>
                            </div>
                        </div>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" type="text" placeholder="Name" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                         <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name In Arabic</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" type="text" placeholder="Name" class="form-control btn-square" required>
                            </div>
                        </div>
                        




                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">Close</button>
                        <button class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
