@extends('admin.layouts.app')
@section('content')
    <script
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDhnmMC23noePz6DA8iEvO9_yNDGGlEaeM&callback=initMap">
    </script>
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Drivers </h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">Drivers</li>
                            </ol>
                        </div>
                        <div style="float: right">
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> Add Driver </button>
                        </div>
                    </div>
                </div>


                <div class="card-body">
                    <form class="form-horizontal col-md-8" action="/admin/worker/search" method="get">
                        <div class="form-row">
                            <div class="input-group">
                                <input type="text" class="form-control" name="search" value="{{isset($search) ? $search : ''}}" placeholder="Search by driver name" />
                                <button class="btn btn-primary">Search now</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="row">
                @foreach($drivers as $driver)
                    <div class="col-md-6 col-lg-6 col-xl-4">
                        <div class="card custom-card">
                            <div class="card-header"><img class="img-fluid" src="{{asset('/admin/assets/images/user-card/8.jpg')}}" alt=""></div>
                            <div class="card-profile"><img class="rounded-circle" src="{{$driver->image}}" alt=""></div>

                            <div class="text-center profile-details">
                                <h4>{{$driver->name}}</h4>
                            </div>
                            <div class="col-md-12 col-lg-12 col-xl-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center ">
                                            <h6><i class="fa fa-phone"></i>&nbsp;&nbsp;&nbsp;Phone</h6><span>{{$driver->phone}}</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center">
                                            <h6><i class="fa fa-envelope"></i>&nbsp;&nbsp;&nbsp;Email</h6><span>{{substr($driver->email, 0, 15)}}....</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br/>
                            <div class="col-md-12 col-lg-12 col-xl-12  ">
                                <div class="row">
                                    <a class="btn btn-dark btn-lg justify-center" href="{{route('driver.show',$driver->id)}}" data-original-title="" title=""><span class="fa fa-info"></span> Get more information</a>
                                </div>
                            </div>

                        </div>
                    </div>
                @endforeach
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                @if(admin()->hasPermissionTo('View driver'))
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add Driver</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                @endif
                <form class="form-horizontal" method="post" action="{{route('driver.store')}}" enctype="multipart/form-data">
                    {{csrf_field()}}
                    <div class="modal-body">

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name</label>
                            <div class="col-lg-12">
                                <input id="name" name="name" type="text" placeholder="name" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'name'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Email</label>
                            <div class="col-lg-12">
                                <input id="email" name="email" type="email" placeholder="email" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'email'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Phone</label>
                            <div class="col-lg-12">
                                <input id="phone" name="phone" type="number" placeholder="phone" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'phone'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Password</label>
                            <div class="col-lg-12">
                                <input id="password" name="password" type="password" placeholder="password" class="form-control btn-square" required>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'password'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left">Category</label>
                            <div class="col-lg-12">
                                <select class="form-control field" data-type="select" id="main_cats" required>
                                    <option selected disabled>Select A Category</option>
                                    @if(isset($cars))
                                        @foreach($cars as $car)
                                            <option value="{{$car->id}}">{{$car->name}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" >Countries</label>
                            <div class="col-lg-12">
                                <select class="form-control field" data-type="select" name="country_id" required>
                                    @if(isset($countries))
                                        @foreach($countries as $country)
                                            <option value="{{$country->id}}">{{$country->name}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'country_id'])

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Upload Image</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'image'])

                        <div class="form-group row" id="commercial_register">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Id Image</label>
                            <div class="col-lg-12">
                                <input type="file" name="id_image" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'id_image'])

                        <div class="form-group row" id="description">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Description</label>
                            <div class="col-lg-12">
                                <textarea class="form-control z-depth-1" id="exampleFormControlTextarea6" name="description" rows="3" placeholder="Write description here..." required></textarea>
                            </div>
                        </div>
                            @include('admin.layouts.error', ['input' => 'description'])

                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">Close</button>
                        <button class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
