@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Edit Worker</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="index.html"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">Users</li>
                                <li class="breadcrumb-item active">Edit Driver</li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        <div class="container-fluid">
            <div class="edit-profile">
                <div class="row">
                    <div class="col-md-12">
                        @include('admin.layouts.message')
                        <form class="form-horizontal" method="post" action="{{route('updateDriver')}}" enctype="multipart/form-data">
                            {{csrf_field()}}
                            <div class="card">
                                    <div class="card-body">
                                        <div class="form-group">
                                            <label class="col-md-3 col-xs-12 control-label">Categories</label>
                                            <div class="col-md-6 col-xs-12">
                                                <div class="input-group">
                                                    <p class="form-control">{{$driver->car->translation->name}}</p>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body">
                                            <div class="form-group {{ $errors->has('car_id') ? ' has-error' : '' }}">
                                                <label class="col-md-3 col-xs-12 control-label">Car</label>
                                                <div class="col-md-6 col-xs-12">
                                                    <div class="input-group">
                                                        <select class="form-control select" id="car" name="car_id">
                                                            <option selected disabled>Select a car</option>
                                                            @foreach($cars as $car)
                                                                <option value="{{$car->id}}">{{$car->translation->name}}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                    @if(isset($driver->car_id))
                                                        <span class="label label-warning">Leave it there if no changes</span>
                                                    @endif
                                                </div>
                                            </div>

                                            <div class="form-group {{ $errors->has('en_name') ? ' has-error' : '' }}">
                                                <label class="col-md-3 col-xs-12 control-label">Name</label>
                                                <div class="col-md-6 col-xs-12">
                                                    <div class="input-group">
                                                        <input type="text" class="form-control" name="name" value="{{$driver->name}}" required/>
                                                    </div>
                                                    @include('admin.layouts.error', ['input' => 'name'])
                                                </div>
                                            </div>

                                            <div class="form-group {{ $errors->has('email') ? ' has-error' : '' }}">
                                                <label class="col-md-3 col-xs-12 control-label">Email</label>
                                                <div class="col-md-6 col-xs-12">
                                                    <div class="input-group">
                                                        <input type="text" class="form-control" name="email"  value="{{$driver->email}}" required/>
                                                    </div>
                                                    @include('admin.layouts.error', ['input' => 'email'])
                                                </div>
                                            </div>

                                            <div class="form-group {{ $errors->has('phone') ? ' has-error' : '' }}">
                                                <label class="col-md-3 col-xs-12 control-label">Phone</label>
                                                <div class="col-md-6 col-xs-12">
                                                    <div class="input-group">
                                                        <input type="text" class="form-control" name="phone" value="{{$driver->phone}}" required/>
                                                    </div>
                                                    @include('admin.layouts.error', ['input' => 'phone'])
                                                </div>
                                            </div>

                                            <div class="form-group {{ $errors->has('image') ? ' has-error' : '' }}">
                                                <label class="col-md-3 col-xs-12 control-label">Image</label>
                                                <div class="col-md-6 col-xs-12">
                                                    <div class="input-group">
                                                        <input type="file" name="image"  title="Select Image"/>
                                                    </div>
                                                    @if(isset($driver->image))
                                                        <span class="label label-warning">Leave it there if no changes</span>
                                                    @endif
                                                    @include('admin.layouts.error', ['input' => 'image'])
                                                </div>
                                            </div>

                                                <input type="hidden" name="driver_id" value="{{$driver->id}}">

                                        </div>

                                        <div class="panel-footer">
                                            <button class="btn btn-primary pull-right"> Update </button>
                                        </div>
                                    </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

@endsection
