@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Services</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">Services For Cars</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                        <div style="float: right">
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> Add New Service </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">Id</th>
                                        <th scope="col">Start</th>
                                        <th scope="col">Wait</th>
                                         <th scope="col">Minimum Fare</th>
                                        <th scope="col">Service Fees</th>
                                        <th scope="col">Cancel Before Fees</th>
                                        <th scope="col">Cancel After Fees</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($services as $service)
                                    <tr>
                                        <td>{{$service->id}}</td>
                                        <td>{{$service->start}}</td>
                                        <td>{{$service->wait}}</td>
                                        <td>{{$service->minimum_fare}}</td>
                                        <td>{{$service->service_fees}}</td>
                                        <td>{{$service->cancel_before_fees}}</td>
                                        <td>{{$service->cancel_after_fees}}</td>
                                        <td>
                                            <a href="{{route('service.car.edit',$service->id)}}" title="Edit" class="buttons"><button class="btn btn-warning btn-condensed"><i class="fa fa-edit"></i></button></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add Service</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('service.car.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">
                    <label class="col-lg-12 control-label text-lg-left" for="textinput">Country</label>

                        <select class="form-control field" data-type="select" id="type" name="country_id">
                            @foreach($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Start</label>
                            <div class="col-lg-12">
                                <input name="start" type="text" placeholder="Start" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Wait</label>
                            <div class="col-lg-12">
                                <input  name="wait" type="text" placeholder="Wait" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Minumum Fare</label>
                            <div class="col-lg-12">
                                <input name="minimum_fare" type="text" placeholder="Minumum Fare" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Service Fees</label>
                            <div class="col-lg-12">
                                <input name="service_fees" type="text" placeholder="Service Fees" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Cancel Before Fees</label>
                            <div class="col-lg-12">
                                <input name="cancel_before_fees" type="text" placeholder="Cancel Before Fees" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Cancel After Fees</label>
                            <div class="col-lg-12">
                                <input  name="cancel_after_fees" type="text" placeholder="Cancel After Fees" class="form-control btn-square" required>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">Close</button>
                        <button class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
