@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Trips </h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item active">Trips</li>
                            </ol>
                        </div>
                        {{--<a href="orders/export" class="btn btn-success" style="float:right"> Export Trips Invoice <i class="fa fa-file-excel-o"></i></a>--}}

                        @include('admin.layouts.search')

                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-12 col-lg-12 col-xl-12">
                    <div class="table-responsive">
                        <table class="table">
                            <thead class="thead-dark">
                                    <tr>
                                        <th>#</th>
                                        <th>Type</th>
                                        <th>User</th>
                                        <th>Driver</th>
                                        <th>Status</th>
                                        <th>Total</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @if(count($trips) > 0 )
                                        @foreach($trips as $trip)
                                            <tr>
                                                <td>{{$trip->id}}</td>
                                                <td>{{$trip->type}}</td>
                                                <td>{{$trip->user->name}}</td>
                                                <td>{{isset($trip->driver->name)?
                                                $trip->driver->name: ''}}</td>
                                                @if($trip->order_action == 0)
                                                    <td class="font-primary">Open</td>
                                                @elseif($trip->order_action == 1)
                                                    <td class="font-success">Completed</td>
                                                @elseif($trip->order_action == 2)
                                                    <td class="font-danger">Canceled</td>
                                                @endif
                                                <td>{{$trip->total}}</td>
                                                <td>
                                                    <a title="View" href="{{route('trips_view',$trip->id)}}"><button class="btn btn-info btn-condensed"><i class="fa fa-eye"></i></button></a>
                                                </td>
                                            </tr>
                                         @endforeach
                                    @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
        <!-- Container-fluid Ends-->
        {{$trips->links()}}
    </div>
@endsection
