@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Users {{$type}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">Users</li>
                                <li class="breadcrumb-item active">{{$type}}</li>
                            </ol>
                        </div>
                        @if(admin()->hasPermissionTo('Add user'))
                            <div style="float: right">
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"><i class="icon-plus"></i> Add User </button>
                            </div>
                        @endif
                    </div>
                </div>

                <div class="card-body">
                    <form class="form-horizontal col-md-8" action="/admin/user/search" method="get">
                        <div class="form-row">
                            <div class="input-group">
                                <input type="text" class="form-control" name="search" value="{{isset($search) ? $search : ''}}" placeholder="Search by User name" />
                                <button class="btn btn-primary">Search now</button>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="row">
                @foreach($users as $user)
                    <div class="col-md-6 col-lg-6 col-xl-4">
                        <div class="card custom-card">
                            <div class="card-header"><img class="img-fluid" src="{{asset('/admin/assets/images/user-card/9.jpg')}}" alt=""></div>
                            <div class="card-profile"><img class="rounded-circle" src="{{$user->image}}" alt=""></div>

                            <div class="text-center profile-details">
                                <h4>{{$user->name}}</h4>
                                <h6>{{$user->role}}</h6>
                            </div>
                            <div class="col-md-12 col-lg-12 col-xl-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center ">
                                            <h6><i class="fa fa-phone"></i>&nbsp;&nbsp;&nbsp;Phone</h6><span>{{$user->phone}}</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="ttl-info justify-center">
                                            <h6><i class="fa fa-envelope"></i>&nbsp;&nbsp;&nbsp;Email</h6><span>{{$user->email}}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br/>
                            <div class="col-md-12 col-lg-12 col-xl-12  ">
                                <div class="row">
                                    <a class="btn btn-dark btn-lg justify-center" href="{{route('users.show',$user->id)}}" data-original-title="" title=""><span class="fa fa-info"></span> Get more information</a>
                                </div>
                            </div>

                        </div>
                    </div>
                @endforeach
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add user</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" method="post" action="{{route('users.store')}}">
                    {{csrf_field()}}
                    <div class="modal-body">

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name</label>
                            <div class="col-lg-12">
                                <input id="name" name="name" type="text" placeholder="name" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Email</label>
                            <div class="col-lg-12">
                                <input id="email" name="email" type="email" placeholder="email" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Phone</label>
                            <div class="col-lg-12">
                                <input id="phone" name="phone" type="number" placeholder="phone" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="passwordinput">Password</label>
                            <div class="col-lg-12">
                                <input id="password" name="password" type="password" placeholder="password" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Upload Image</label>
                            <div class="col-lg-12">
                                <input id="inputImage" type="file" name="file" accept=".jpg,.jpeg,.png,.gif,.bmp,.tiff">
                            </div>
                        </div>


                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">Close</button>
                        <button class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
