<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

//user
Route::group(['prefix' => '/user'], function (){
    //login
    Route::post('/login_register','Api\User\AuthController@loginRegister');
    Route::post('/code_send','Api\User\AuthController@codeSend');
    Route::post('/code_check','Api\User\AuthController@codeCheck');
    //home
    Route::post('/home','Api\User\HomeController@home');
    //trip
    Route::post('/create','Api\User\TripController@createTrip');
    Route::post('/trip_history','Api\User\TripController@tripHistory');
    Route::post('/cancel_trip','Api\User\TripController@cancelTrip');
    //profile
    Route::post('/profile','Api\User\UserController@updateProfile');
    Route::post('/payment_type','Api\User\UserController@updatePaymentType');
    Route::post('/show_notify','Api\User\UserController@showNotify');
    Route::post('/add_promo','Api\User\UserController@addPromo');
});

//driver
Route::group(['prefix' => '/driver'], function (){
    //login
    Route::post('/first_register','Api\Driver\AuthController@firstRegister');
    Route::post('/code_check','Api\Driver\AuthController@codeCheck');
    Route::post('/second_register','Api\Driver\AuthController@secondRegister');
    Route::post('/code_send','Api\Driver\AuthController@codeSend');
    Route::post('/login','Api\Driver\AuthController@login');
    Route::post('/forget_password','Api\Driver\AuthController@forgetPassword');
    //home
    Route::post('/home','Api\Driver\HomeController@home');
    Route::post('/update_location','Api\Driver\HomeController@updateLocation');
    //trip
    Route::post('/accept_trip','Api\Driver\TripController@acceptTrip');
    Route::post('/cancel_trip','Api\Driver\TripController@cancelTrip');
    Route::post('/cancel_trip_after_accept','Api\Driver\TripController@cancelAfterAccept');
    Route::post('/chat','Api\Driver\TripController@chat');
    Route::post('/arrive','Api\Driver\TripController@arrive');
    Route::post('/update_availability','Api\Driver\TripController@updateAvailability');
    Route::post('/trip_history','Api\Driver\TripController@tripHistory');
    Route::post('/calculate_trip','Api\Driver\TripController@calculateTrip');
    Route::post('/end_trip','Api\Driver\TripController@endTrip');
    //profile
    Route::post('/profile','Api\Driver\DriverController@profile');
    Route::post('/credit','Api\Driver\DriverController@credit');
    Route::post('/update_payment','Api\Driver\DriverController@updatePayment');


});

Route::group(['prefix' => '/app'], function (){
    Route::get('/privacy_policy','Api\App\SettingController@privacyPolicy');
    Route::post('/send_message','Api\App\AppController@sendMessage');
    Route::post('/get_chat','Api\App\AppController@getChat');
    Route::post('/rate','Api\App\AppController@rate');
    Route::post('/get_detail_trip','Api\App\AppController@getDetailTrip');
});

